<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class ToolVaDozenteninfoSettings extends ToolSettingsBASys
{
  public const CURRENT_VERSION = 1;

  public $datensaetzeproseite = 0;
  
  public $reiterBeschriftung;
  public $useBereichsRechte = false;

  
  public $nurDozentenMitKennzeichen = '-';

  
  public $nurKennzeichenVonDozenten = false;

  
  public $inaktiveDozentenAusblenden = false;

  
  public $verstorbeneDozentenAusblenden = false;

  
  public $doztyp = '';

  
  public $dozentenUebersichtAlsTabelle = false;

  
  public $emailAnDozentenShowEMail = false;

  protected function upgrade(int $from, int $to)
  {
    parent::upgrade($from, $to);

    switch ($to) {
      case 1:
        $this->nurDozentenMitKennzeichen = empty($this->nurDozentenMitKennzeichen) ? '-' : $this->nurDozentenMitKennzeichen;
        break;
    }

    return $this;
  }
}